Package org.apache.uima.jcas.cas

# Class IntegerArrayList

java.lang.Object
org.apache.uima.cas.impl.FeatureStructureImplC
org.apache.uima.jcas.cas.TOP
org.apache.uima.jcas.cas.IntegerArrayList

All Implemented Interfaces:
  `Cloneable`, `Iterable<Integer>`, `RandomAccess`, `CommonArrayFS<Integer>`, `FeatureStructure`, `FeatureStructureImpl`, `UimaSerializable`

public class IntegerArrayList extends TOP implements Iterable<Integer>, UimaSerializable, CommonArrayFS<Integer>, RandomAccess, Cloneable
An ArrayList type containing ints, for UIMA - implements a subset of the List API, Iterable<Integer>, IntListIterator. - it is adjustable, like ArrayList Implementation notes: - implements Iterable + stream, not Collection, because stream returns IntStream - Uses UimaSerializable APIs - two implementations of the array list: -- one uses the original IntegerArray, via a variant of the asList wrapper that returns ints -- This is used until an add or remove operation that changes the size. --- switches to IntVector, resetting the original IntegerArray to null - This enables operation without creating the Java Object in use cases of deserializing and referencing when updating is not being used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `FeatureStructureImplC.PrintReferences`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_FeatName_intArray`
  `static final String`
  `_TypeName`
  `static final int`
  `type`
  `static final int`
  `typeIndexID`

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP

  `_singleton`

  ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IntegerArrayList()`
  Never called.
  ``
  `IntegerArrayList(TypeImpl type, CASImpl casImpl)`
  Internal - constructor used by generator
  ``
  `IntegerArrayList(JCas jcas)`
  ``
  `IntegerArrayList(JCas jcas, int length)`
  Make a new ArrayList with an initial size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `_init_from_cas_data()`
  `void`
  `_save_to_cas_data()`
  This method is called by the framework before serialization of an instance of this JCas class.
  `FeatureStructureImplC`
  `_superClone()`
  `boolean`
  `add(int e)`
  `void`
  `add(int index, int element)`
  `void`
  `clear()`
  `boolean`
  `contains(int i)`
  `void`
  `copyFromArray(int[] src, int srcPos, int destPos, int length)`
  `void`
  `copyFromArray(String[] src, int srcPos, int destPos, int length)`
  Not supported, will throw UnsupportedOperationException
  `void`
  `copyToArray(int srcPos, int[] dest, int destPos, int length)`
  `void`
  `copyToArray(int srcPos, String[] dest, int destPos, int length)`
  Copies an array of ints to an Array of Strings.
  `void`
  `copyValuesFrom(CommonArrayFS<Integer> v)`
  Copy values from another array of the same kind
  `static IntegerArrayList`
  `create(JCas jcas, int[] a)`
  Convenience - create a IntegerArrayList from an existing array.
  `boolean`
  `equals(Object o)`
  A feature structure is equal to another feature structure iff it is identical in the underlying representation.
  `void`
  `forEach(IntConsumer action)`
  Version of forEach that doesn't box
  `int`
  `get(int i)`
  `int`
  `getTypeIndexID()`
  `int`
  `hashCode()`
  Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
  `int`
  `indexOf(int i)`
  `org.apache.uima.internal.util.IntListIterator`
  `intListIterator()`
  `PrimitiveIterator.OfInt`
  `iterator()`
  `int`
  `lastIndexOf(int i)`
  `boolean`
  `remove(int o)`
  `int`
  `removeAt(int index)`
  `void`
  `set(int i, int v)`
  updates the i-th value of the IntegerArrayList
  `int`
  `size()`
  return the size of the array.
  `void`
  `sort()`
  `Spliterator.OfInt`
  `spliterator()`
  `IntStream`
  `stream()`
  `int[]`
  `toArray()`
  `int[]`
  `toArray(int[] a)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP

  `_createJCasHashMapReserve, _createSearchKey`

  ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, wrapGetIntCatchException`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

  `getValuesAsCommaSeparatedString, isEmpty, toStringArray`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `_getTypeCode, _id, clone, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.apache.uima.UimaSerializable

  `_reset_cas_data, clone`

- ## Field Details

  - ### _TypeName

    public static final String _TypeName
    See Also:
      - Constant Field Values

  - ### typeIndexID

    public static final int typeIndexID

  - ### type

    public static final int type

  - ### _FeatName_intArray

    public static final String _FeatName_intArray
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IntegerArrayList

    protected IntegerArrayList()
    Never called. Disable default constructor

  - ### IntegerArrayList

    public IntegerArrayList(TypeImpl type, CASImpl casImpl)
    Internal - constructor used by generator
    Parameters:
      `casImpl` - the CAS this Feature Structure belongs to
      `type` - the type of this Feature Structure

  - ### IntegerArrayList

    public IntegerArrayList(JCas jcas)
    Parameters:
      `jcas` - JCas to which this Feature Structure belongs

  - ### IntegerArrayList

    public IntegerArrayList(JCas jcas, int length)
    Make a new ArrayList with an initial size
    Parameters:
      `jcas` - The JCas
      `length` - initial size

- ## Method Details

  - ### getTypeIndexID

    public int getTypeIndexID()
    Overrides:
      `getTypeIndexID` in class `TOP`
    Returns:
      index of the type

  - ### _init_from_cas_data

    public void _init_from_cas_data()
    Specified by:
      `_init_from_cas_data` in interface `UimaSerializable`

  - ### _save_to_cas_data

    public void _save_to_cas_data()
    Description copied from interface: `UimaSerializable`
    This method is called by the framework before serialization of an instance of this JCas class. The implementation should save whatever data is needed into Features of this JCas class that can be serialized by UIMA.
    Specified by:
      `_save_to_cas_data` in interface `UimaSerializable`

  - ### get

    public int get(int i)
    Parameters:
      `i` - -
    Returns:
      the indexed value from the corresponding Cas IntegerArray as a Java Model object.

  - ### set

    public void set(int i, int v)
    updates the i-th value of the IntegerArrayList
    Parameters:
      `i` - -
      `v` - -

  - ### size

    public int size()
    return the size of the array.
    Specified by:
      `size` in interface `CommonArrayFS<Integer>`
    Returns:
      The size of the array.

  - ### copyFromArray

    public void copyFromArray(int[] src, int srcPos, int destPos, int length)
    Parameters:
      `src` - -
      `srcPos` - -
      `destPos` - -
      `length` - -
    See Also:
      - `ArrayFS.copyFromArray(FeatureStructure[], int, int, int)`

  - ### copyToArray

    public void copyToArray(int srcPos, int[] dest, int destPos, int length)
    Parameters:
      `srcPos` - -
      `dest` - -
      `destPos` - -
      `length` - -
    See Also:
      - `ArrayFS.copyToArray(int, FeatureStructure[], int, int)`

  - ### toArray

    public int[] toArray()
    Returns:
      -
    See Also:
      - `ArrayFS.toArray()`

  - ### copyFromArray

    public void copyFromArray(String[] src, int srcPos, int destPos, int length)
    Not supported, will throw UnsupportedOperationException
    Specified by:
      `copyFromArray` in interface `CommonArrayFS<Integer>`
    Parameters:
      `src` - -
      `srcPos` - -
      `destPos` - -
      `length` - -

  - ### copyToArray

    public void copyToArray(int srcPos, String[] dest, int destPos, int length)
    Copies an array of ints to an Array of Strings.
    Specified by:
      `copyToArray` in interface `CommonArrayFS<Integer>`
    Parameters:
      `srcPos` - The index of the first element to copy.
      `dest` - The array to copy to.
      `destPos` - Where to start copying into `dest`.
      `length` - The number of elements to copy.
    Throws:
      `ArrayIndexOutOfBoundsException` - If `srcPos < 0` or `length > size()` or `destPos + length > destArray.length`.

  - ### copyValuesFrom

    public void copyValuesFrom(CommonArrayFS<Integer> v)
    Description copied from interface: `CommonArrayFS`
    Copy values from another array of the same kind
    Specified by:
      `copyValuesFrom` in interface `CommonArrayFS<Integer>`
    Parameters:
      `v` - the other array

  - ### create

    public static IntegerArrayList create(JCas jcas, int[] a)
    Convenience - create a IntegerArrayList from an existing array.
    Parameters:
      `jcas` - -
      `a` - -
    Returns:
      -

  - ### _superClone

    public FeatureStructureImplC _superClone()
    Specified by:
      `_superClone` in interface `UimaSerializable`

  - ### contains

    public boolean contains(int i)
    Parameters:
      `i` - -
    Returns:
      -

  - ### indexOf

    public int indexOf(int i)
    Parameters:
      `i` - -
    Returns:
      -
    See Also:
      - `ArrayList.indexOf(java.lang.Object)`

  - ### lastIndexOf

    public int lastIndexOf(int i)
    Parameters:
      `i` - -
    Returns:
      -
    See Also:
      - `ArrayList.lastIndexOf(java.lang.Object)`

  - ### toArray

    public int[] toArray(int[] a)
    Parameters:
      `a` - -
    Returns:
      -
    See Also:
      - `ArrayList.toArray(java.lang.Object[])`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FeatureStructureImplC`
    Returns:
      -
    See Also:
      - `AbstractCollection.toString()`

  - ### add

    public boolean add(int e)
    Parameters:
      `e` - -
    Returns:
      true
    See Also:
      - `ArrayList.add(java.lang.Object)`

  - ### equals

    public boolean equals(Object o)
    Description copied from interface: `FeatureStructure`
    A feature structure is equal to another feature structure iff it is identical in the underlying representation.
    Specified by:
      `equals` in interface `FeatureStructure`
    Overrides:
      `equals` in class `FeatureStructureImplC`
    Parameters:
      `o` - -
    Returns:
      true if all elements are the same, and in same order, and same number
    See Also:
      - `AbstractList.equals(java.lang.Object)`

  - ### add

    public void add(int index, int element)
    Parameters:
      `index` - -
      `element` - -
    See Also:
      - `ArrayList.add(int, java.lang.Object)`

  - ### removeAt

    public int removeAt(int index)
    Parameters:
      `index` - -
    Returns:
      -
    See Also:
      - `ArrayList.remove(int)`

  - ### remove

    public boolean remove(int o)
    Parameters:
      `o` - - locate and if found remove this object
    Returns:
      true if removed
    See Also:
      - `ArrayList.remove(java.lang.Object)`

  - ### hashCode

    public int hashCode()
    Description copied from interface: `FeatureStructure`
    Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
    Specified by:
      `hashCode` in interface `FeatureStructure`
    Overrides:
      `hashCode` in class `FeatureStructureImplC`
    Returns:
      -
    See Also:
      - `AbstractList.hashCode()`

  - ### clear

    public void clear()
    See Also:
      - `ArrayList.clear()`

  - ### iterator

    public PrimitiveIterator.OfInt iterator()
    Specified by:
      `iterator` in interface `Iterable<Integer>`
    Returns:
      -
    See Also:
      - `ArrayList.iterator()`

  - ### intListIterator

    public org.apache.uima.internal.util.IntListIterator intListIterator()

  - ### sort

    public void sort()

  - ### spliterator

    public Spliterator.OfInt spliterator()
    Specified by:
      `spliterator` in interface `Iterable<Integer>`

  - ### stream

    public IntStream stream()
    Returns:
      a stream over the integers

  - ### forEach

    public void forEach(IntConsumer action)
    Version of forEach that doesn't box
    Parameters:
      `action` - -